# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::TriangleIteratorAbstract Class Reference

For internal use only. More...

`#include <TriangleIterator.hpp>`

Inheritance diagram for vl::TriangleIteratorAbstract:

List of all members.

## Public Member Functions

virtual bool | next ()=0
virtual bool | hasNext () const =0
virtual int | a () const =0
virtual int | b () const =0
virtual int | c () const =0

## Detailed Description

For internal use only.

See vl::TriangleIterator instead.

Definition at line 44 of file TriangleIterator.hpp.

## Member Function Documentation

virtual bool vl::TriangleIteratorAbstract::next | ( | ) | `[pure virtual]`

Implemented in vl::TriangleIteratorIndexed< TArray >, vl::TriangleIteratorDirect, and vl::TriangleIteratorMulti< TArray >.

virtual bool vl::TriangleIteratorAbstract::hasNext | ( | ) | const`[pure virtual]`

Implemented in vl::TriangleIteratorIndexed< TArray >, vl::TriangleIteratorDirect, and vl::TriangleIteratorMulti< TArray >.

virtual int vl::TriangleIteratorAbstract::a | ( | ) | const`[pure virtual]`

Implemented in vl::TriangleIteratorIndexed< TArray >, and vl::TriangleIteratorDirect.

virtual int vl::TriangleIteratorAbstract::b | ( | ) | const`[pure virtual]`

Implemented in vl::TriangleIteratorIndexed< TArray >, and vl::TriangleIteratorDirect.

virtual int vl::TriangleIteratorAbstract::c | ( | ) | const`[pure virtual]`

Implemented in vl::TriangleIteratorIndexed< TArray >, and vl::TriangleIteratorDirect.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/TriangleIterator.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:55.
Permission is granted to use this page to write and publish articles regarding Visualization Library.